Vereinsname: ''
base: 'https://main'
baseVariants:
  -
    base: 'https://%env(PLATFORM_ENVIRONMENT)%-%env(PLATFORM_PROJECT)%.de-2.platformsh.site'
    condition: 'applicationContext == "Development"'
  -
    base: 'https://kv-muster.ddev.site'
    condition: 'applicationContext == "Development/Ddev"'
  -
    base: 'https://lv-muster.ddev.site'
    condition: 'applicationContext == "Development/Ddev"'
  -
    base: 'https://ov-muster.ddev.site'
    condition: 'applicationContext == "Development/Ddev"'
disableStaticFileCache: false
drk_template_apikey: ''
drk_template_blog: ''
drk_template_contactform_recipient: ''
drk_template_courseregistration_termsurl: ''
drk_template_donate_paypal_account: ''
drk_template_facebook: ''
drk_template_flavour: drk
drk_template_function_readspeaker_enabled: true
drk_template_function_usercentrics_enabled: false
drk_template_google_apikey: ''
drk_template_header_1: Kreisverband
drk_template_header_2: 'Musterstadt e.V.'
drk_template_header_3: 'in Musterstadt'
drk_template_instagram: ''
drk_template_ktv_apikey: ''
drk_template_tiktok: ''
drk_template_twitter: ''
drk_template_youtube: ''
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: '501'
languages:
  -
    title: Deutsch
    enabled: true
    languageId: 0
    base: /
    typo3Language: de
    locale: de_DE.UTF-8
    iso-639-1: de
    navigationTitle: Deutsch
    hreflang: de-DE
    direction: ltr
    flag: de
    websiteTitle: ''
  -
    title: 'Deutsch, leichte Sprache'
    enabled: true
    languageId: 1
    base: /leichte-sprache/
    typo3Language: de
    locale: de_DE.UTF-8
    iso-639-1: de
    navigationTitle: 'Deutsch, leichte Sprache'
    hreflang: de-DE
    direction: ltr
    fallbackType: fallback
    fallbacks: '0'
    flag: de
    websiteTitle: ''
rootPageId: 1
routeEnhancers:
  PageTypeSuffix:
    type: PageType
    default: .html
    index: index
    map:
      .html: 0
      .ajax: 500
      rss.feed: 9818
      news-rss.xml: 9818
      sitemap.xml: 1533906435
      yoast-snippetpreview.json: 1480321830
  DrkCourseregistration:
    type: Simple
    routePath: '/kurs/{courseeventid}'
    requirements:
      courseeventid: '^[0-9]*$'
  DrkserviceAddresses:
    type: Extbase
    extension: DrkAddresses
    plugin: OrganisationPlugin
    routes:
      -
        routePath: '/detail/{code}'
        _controller: 'Organisation::detail'
        _arguments:
          code: organisation
  NewsPages:
    type: Extbase
    extension: News
    plugin: Pi1
    routes:
      -
        routePath: '/{myNewsTitle}'
        _controller: 'News::detail'
        _arguments:
          myNewsTitle: news
      -
        routePath: '/{myPagination}'
        _controller: 'News::list'
        _arguments:
          myPagination: '@widget_0/currentPage'
      -
        routePath: '/{year}/{month}'
        _controller: 'News::list'
        _arguments:
          year: overwriteDemand/year
          month: overwriteDemand/month
    defaultController: 'News::list'
    defaults:
      myPagination: '1'
    requirements:
      myPagination: \d+
    aspects:
      myNewsTitle:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_news
        routeFieldName: path_segment
      myPagination:
        type: StaticRangeMapper
        start: '1'
        end: '100'
      month:
        type: StaticValueMapper
        map:
          januar: 1
          februar: 2
          maerz: 3
          april: 4
          mai: 5
          juni: 6
          juli: 7
          august: 8
          september: 9
          oktober: 10
          november: 11
          dezember: 12
        localeMap:
          -
            locale: en_EN
            map:
              january: 1
              february: 2
              march: 3
              april: 4
              may: 5
              june: 6
              july: 7
              august: 8
              september: 9
              october: 10
              november: 11
              december: 12
routes:
  -
    route: robots.txt
    type: staticText
    content: "User-agent: *\r\nDisallow: /typo3/\r\nDisallow: /typo3_src/\r\nAllow: /typo3/sysext/frontend/Resources/Public/*\r\n"
  -
    route: aktuell.rss
    type: uri
    source: 't3://page?uid=10&type=9818'
  -
    route: presse.rss
    type: uri
    source: 't3://page?uid=484&type=9818'
  -
    route: wasserwacht.rss
    type: uri
    source: 't3://page?uid=4503&type=9818'
  -
    route: news.rss
    type: uri
    source: 't3://page?uid=1&type=9818'
vereinsname: 'DRK Musterstadt'
websiteTitle: ''
imports:
  -
    resource: 'EXT:drk_template/Configuration/SiteConfigurationDefaults/Defaults.yaml'
